using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Media.Media3D;


namespace SphereLighting
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : System.Windows.Window
    {

        public Window1()
        {
            InitializeComponent();

            lightsSelector.SelectionChanged += new SelectionChangedEventHandler(lightsSelector_SelectionChanged);

            Light firstLight = (Light) lightsSelector.SelectedItem;
            modelLights.Children.Add(firstLight);
        }

        void lightsSelector_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (lightsSelector.SelectedItem != null)
            {
                modelLights.Children.Clear();
                modelLights.Children.Add((Light) lightsSelector.SelectedItem);
            }
        }

    }
}